:root {
    --Celakint-Plum: #461a27;
    --Celakint-White: #fff8f7;
    --Celakint-Accent: #bc8500;

    --black: #1a1a1a;
    --white: #fff8f7;

    --primary: var(--Celakint-Plum);
    --secondary: var(--Celakint-White);
    --tertiary: var(--Celakint-Accent);
    --background: var(--primary);

    --cancel: var(--Celakint-Accent);
    --delay: var(--Celakint-Accent);
}

@font-face {
    font-family: "Plus Jakarta Sans";
    src: url('../Font/Default/PlusJakartaSans-Regular.ttf');
    font-weight: 400;
}

@font-face {
    font-family: "Plus Jakarta Sans";
    src: url('../Font/Default/PlusJakartaSans-Bold.ttf');
    font-weight: 700;
}

body {
    background-color: var(--black);

    margin: 0;
    padding: 0;

    height: 100vh;

    
    font: 400 16pt "Plus Jakarta Sans";
    line-height: 1;
    color: var(--white);
}

h1,h2,h3,h4,h5,h6,p {
    margin: 0;
}


/* Header */
div.header {
    background: var(--primary);

    margin: 0;
    padding: 8pt;

    border-bottom: 1pt solid var(--tertiary);

    font: 400 "Plus Jakarta Sans";
    color: var(--white);

    position: sticky;
    top: 0;
}

div.header h1 {
    margin: 0;
    font-size: 32pt;
    font-weight: 700;
}

/* Services */
div.services {    
    margin: 0;
    padding: 1pt;
}

div.service {
    background: var(--primary);

    margin: 12pt;
    padding: 12pt;

    border-radius: 12pt;

    font: 400 16pt "Plus Jakarta Sans";
    color: var(--white);
}

div.service table {
    margin: 0;
    padding: 0;

    width: 100%;

    border-collapse: collapse;

    font: 700 24pt "Plus Jakarta Sans";
}

div.service table tr td.time, div.service table tr td.plat, div.service table tr td.expt {
    margin: 0;
    padding: 0;

    text-align: center;

    width: 12%;
}

div.service table tr td.Delayed {
    color: var(--delay);
}

div.service table tr td.Cancelled {
    color: var(--cancel);
}



div.coverpage {
    background: var(--background);
    position: fixed;
    height: 100vh;
    width: 100vw;

    display: flex;
    align-items: center;
    justify-content: center;

    z-index: 999;
}

div.coverpage div.float {
    text-align: center;
}

div.coverpage div.float button {
    background: none;
    
    margin: 16pt 0 0 0;
    padding: 8pt 24pt;

    font: 400 16pt "Plus Jakarta Sans";
    color: var(--secondary);

    border: 2px solid var(--secondary);
    border-radius: 24pt;

    cursor: pointer;

    transition: background 0.4s, color 0.4s;
}

div.coverpage div.float button:hover {
    background: var(--secondary);
    color: var(--primary);
}